> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Card Transactions

> Transaction history for a virtual card



## OpenAPI

````yaml api-reference/openapi.json GET /pms/api/external/request/virtual-cards/{card_id}/transactions/
openapi: 3.1.0
info:
  title: PayVessel API
  description: >-
    PayVessel API for accepting payments, sending money, verifying identities,
    and managing wallets
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - {}
paths:
  /pms/api/external/request/virtual-cards/{card_id}/transactions/:
    get:
      tags:
        - Issuing
      summary: Get Card Transactions
      description: Transaction history for a card (spend, funding, withdrawal).
      operationId: externalVirtualCardsTransactions
      parameters:
        - name: api-key
          in: header
          description: Your Payvessel public API key
          required: true
          schema:
            type: string
        - name: api-secret
          in: header
          description: Your Payvessel secret
          required: true
          schema:
            type: string
        - name: card_id
          in: path
          description: PayVessel card ID
          required: true
          schema:
            type: string
            format: uuid
        - name: size
          in: query
          required: false
          description: Max rows (default 50, max 100)
          schema:
            type: integer
            default: 50
            maximum: 100
      responses:
        '200':
          description: Transactions retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VirtualCardTransactionListResponse'
        '401':
          description: Unauthorized request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                unauthorized:
                  summary: Invalid credentials
                  value:
                    error: 401
                    message: Unauthorized. Please check your API key.
        '403':
          description: Forbidden request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    VirtualCardTransactionListResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
        data:
          type: array
          items:
            $ref: '#/components/schemas/IssuedCardTransaction'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    IssuedCardTransaction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        card_id:
          type: string
          format: uuid
        ref_id:
          type: string
        amount:
          type: string
        currency:
          type: string
        merchant:
          type: string
        entry:
          type: string
          enum:
            - DEBIT
            - CREDIT
        status:
          type: string
        type:
          type: string
        description:
          type: string
        fee:
          type: string
        settled:
          type: boolean
        date:
          type: string
          format: date-time
        created_datetime:
          type: string
          format: date-time

````